> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.teez.kz/llms.txt
> Use this file to discover all available pages before exploring further.

# Статус создания или обновления товара

> Позволяет получить статус создания или обновления карточки товара.

<RequestExample>
  ```bash Пример запроса theme={null}
  /api/external/seller/v1/products/import/info?jobId=123456789
  ```
</RequestExample>


## OpenAPI

````yaml GET /api/seller/v1/products/import/info
openapi: 3.0.1
info:
  title: Seller API
  version: v1
  description: API для партнеров.
servers: []
security: []
paths:
  /api/seller/v1/products/import/info:
    get:
      tags:
        - Products
      operationId: Products_GetImportStatusAsync
      parameters:
        - name: JobId
          in: query
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetExternalImportStatusApiResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedProblemDetails'
              example:
                status: 400
                errorCode: VALIDATION_ERROR
                errorMessage: Некорректные параметры запроса
                errors:
                  pageSize:
                    - code: PageSize
                      description: PageSize must be > 0
      security:
        - bearer: []
components:
  schemas:
    GetExternalImportStatusApiResponse:
      type: object
      properties:
        products:
          type: array
          items:
            $ref: '#/components/schemas/ImportProductDto2'
      additionalProperties: false
    ExtendedProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errorCode:
          type: string
          description: Код ошибки
          nullable: true
        errorMessage:
          type: string
          description: Сообщение об ошибке
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ErrorDetail'
          description: Детализация ошибок валидации по полям
          nullable: true
      additionalProperties: {}
    ImportProductDto2:
      type: object
      properties:
        index:
          type: integer
          format: int32
        productId:
          type: integer
          format: int64
          nullable: true
        status:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ImportError'
        skus:
          type: array
          items:
            $ref: '#/components/schemas/SkuImportStatus'
      additionalProperties: false
    ErrorDetail:
      type: object
      properties:
        code:
          type: string
        description:
          type: string
      additionalProperties: false
    ImportError:
      type: object
      properties:
        code:
          type: string
        description:
          type: string
        field:
          type: string
          nullable: true
      additionalProperties: false
    SkuImportStatus:
      type: object
      properties:
        index:
          type: integer
          format: int32
        skuId:
          type: integer
          format: int64
          nullable: true
        status:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ImportError'
      additionalProperties: false
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Введите токен, полученный из [POST
        /api/v1/auth/token](/api-reference/endpoint/auth).

````